Analyze
Download

Get the urls to download the analyze results

Get the urls to download the result

GET
https://api.textreveal.com/api/2.0/analyze/{id}/download/{hash}

Request

Parameters

  • id*uuid

    Analysis ID.

  • hash*string

    Hash. Used as a download identifier.

Response

Response - 200

Get the urls to download data

  • []string[]

    The urls to download the results

    Example: ["https://files.textreveal.com/download/company=e8c8d3ba-4ca0-45d1-b4ba-c1b1f2364a12/instance=fabd78aa-5241-4842-8108-fd52ef805cde/download=03d8c58a31/output-0.json.gz"]
Response
[
  "https://files.textreveal.com/download/company=e8c8d3ba-4ca0-45d1-b4ba-c1b1f2364a12/instance=fabd78aa-5241-4842-8108-fd52ef805cde/download=03d8c58a31/output-0.json.gz",
  "https://files.textreveal.com/download/company=e8c8d3ba-4ca0-45d1-b4ba-c1b1f2364a12/instance=fabd78aa-5241-4842-8108-fd52ef805cde/download=03d8c58a31/output-1.json.gz"
]

Error

Error - 400

Bad request

  • fieldstring[]

    The field where the error happened.

    Example: "string"
Response
{
  "field": [
    "string"
  ]
}

Error - 404

Not Found

  • valuestring
    Example: "string"
Response
{
  "value": "string"
}